/***************************************************************************
 *            WavEncoder.h
 *
 *  FUPPES - Free UPnP Entertainment Service
 *
 *  Copyright (C) 2007-2008 Ulrich Völkel <u-voelkel@users.sourceforge.net>
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifdef HAVE_CONFIG_H
#include "../../config.h"
#endif
 
#ifndef DISABLE_TRANSCODING

#ifndef _WAVENCODER_H
#define _WAVENCODER_H

#include "WrapperBase.h"

class CWavEncoder: public CAudioEncoderBase
{
  public:
    CWavEncoder();
    virtual ~CWavEncoder();
    
    bool LoadLib() { return true; }
    void Init() {}
    
    void SetAudioDetails(CAudioDetails* pAudioDetails);
    void SetTranscodingSettings(CTranscodingSettings* pTranscodingSettings);
  
    int   EncodeInterleaved(short int p_PcmIn[], int p_nNumSamples, int p_nBytesRead);
    int   Flush() { return 0; }
    unsigned char* GetEncodedBuffer() { return m_sBuffer; }
  
    unsigned int GuessContentLength(unsigned int p_nNumPcmSamples);
  
  private:
    unsigned char*  m_sBuffer; //[1024 * 1024];
    unsigned int    m_nBufferSize;    
  
    int nSampleRate;
    int nNumChannels;
    int nNumSamples;    
  
    void WriteFileHeader();
    unsigned char headbuf[44];  
};

#endif // _WAVENCODER_H

#endif // DISABLE_TRANSCODING
